Subject: Re: bug#39927: 12.2; preview-latex gs treatment off by one

From: "Braun, Michael" <[email-masked]>
Date: Sat, 9 Jan 2021 19:46:40 +0000

Ikumi:

It does appear to have fixed the problem.  I am no longer getting the warnings.

Thanks for the patch.

Michael

> On Jan 7, 2021, at 6:17 AM, Ikumi Keita <[email-masked]> wrote:
> 
> Hi Itaï, Luke, Braun,
> 
> Sorry for late response. It seems that I managed to fix the bug of
> preview-latex you reported before. I don't speak Postscript and the fix
> is totally heuristic, but it simply works, at least for me.
> 
> The attached patch removes a newline in the middle of initial string
> sent to ghostscript. This newline was interpreted as a delimeter as
> ghostscript, thus ghostscript responded twice to the initial string, if
> my speculation is right, which led to a spurious prompt from
> ghostscript.
> 
> Could you please test whether this patch fixes the problem on your side
> if possible?
> 
> Best regards,
> Ikumi Keita
> 
> <patch>

--------------------------
Michael Braun, Ph.D.
Associate Professor of Marketing, and
  Corrigan Research Professor
Cox School of Business
Southern Methodist University
Dallas, TX 75275
[email-masked]